<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/layout_screen_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/alpha_20_black"
    android:descendantFocusability="beforeDescendants"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/layout_purchase_list_screen"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:clickable="true"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical"
        android:paddingLeft="@dimen/dp_20"
        android:paddingRight="@dimen/dp_20"
        android:paddingBottom="@dimen/dp_20">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:layout_marginBottom="@dimen/dp_16"
                android:text="採購單號"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_16" />

            <EditText
                android:id="@+id/ed_screen_purchase_order_num"
                style="@style/Multi_Input_editStyle"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="left|center_vertical"
                android:hint="請輸入採購單號"
                android:maxLength="4"
                android:textColor="@color/color_3c"
                android:textColorHint="@color/color_c9"
                android:textSize="@dimen/dp_16" />

            <ImageView
                android:id="@+id/iv_screen_purchase_order_switch_num"
                android:layout_width="@dimen/dp_16"
                android:layout_height="match_parent"
                android:src="@drawable/ic_switch_sort" />
        </LinearLayout>

        <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:layout_marginBottom="@dimen/dp_16"
                android:text="供應商名"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_16" />

            <EditText
                android:id="@+id/ed_screen_purchase_order_supplier_name"
                style="@style/Multi_Input_editStyle"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="left|center_vertical"
                android:hint="請輸入供應商名稱"
                android:maxLength="4"
                android:textColor="@color/color_3c"
                android:textColorHint="@color/color_c9"
                android:textSize="@dimen/dp_16" />


            <ImageView
                android:id="@+id/iv_screen_purchase_order_switch_supplier_name"
                android:layout_width="@dimen/dp_16"
                android:layout_height="match_parent"
                android:src="@drawable/ic_switch_sort" />
        </LinearLayout>

        <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:layout_marginBottom="@dimen/dp_16"
                android:text="食材名稱"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_16" />

            <EditText
                android:id="@+id/ed_screen_purchase_order_food_name"
                style="@style/Multi_Input_editStyle"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="left|center_vertical"
                android:hint="請輸入食材名稱"
                android:maxLength="4"
                android:textColor="@color/color_3c"
                android:textColorHint="@color/color_c9"
                android:textSize="@dimen/dp_16" />

            <ImageView
                android:id="@+id/iv_switch_food_name"
                android:layout_width="@dimen/dp_16"
                android:layout_height="match_parent"
                android:src="@drawable/ic_switch_sort" />
        </LinearLayout>

        <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_16"
                android:layout_marginBottom="@dimen/dp_16"
                android:text="採購日期"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_16" />

            <TextView
                android:id="@+id/tv_screen_purchase_order_start_time"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_15"
                android:layout_weight="1"
                android:gravity="center"
                android:text="2020-12-03"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_16" />

            <ImageView
                android:layout_width="@dimen/dp_14"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_5"
                android:src="@drawable/ic_calendar" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:text="至"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_16" />

            <TextView
                android:id="@+id/tv_screen_purchase_order_end_time"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_weight="1"
                android:gravity="center"
                android:text="2020-12-03"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_16" />

            <ImageView
                android:layout_width="@dimen/dp_14"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_5"
                android:src="@drawable/ic_calendar" />

            <ImageView
                android:id="@+id/iv_switch_time"
                android:layout_width="@dimen/dp_16"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/dp_15"
                android:src="@drawable/ic_switch_sort" />
        </LinearLayout>

        <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_16"
            android:layout_marginBottom="@dimen/dp_16"
            android:text="訂單金額"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/dp_16" />

        <com.gingersoft.supply_chain.mvp.ui.widget.SeekBarPressure
            android:id="@+id/screen_price_seekbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layerType="software"
            app:back_line_color="@color/color_ea"
            app:indicator="@color/white"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            app:indicator_line_color="@color/theme_color"
            app:per_value="2000"
            app:point_count="6" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:orientation="horizontal">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="不限"
                android:textColor="@color/color_42"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="1k"
                android:textColor="@color/color_42"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="3k"
                android:textColor="@color/color_42"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="5k"
                android:textColor="@color/color_42"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="1w"
                android:textColor="@color/color_42"
                android:textSize="@dimen/dp_12" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="2w+"
                android:textColor="@color/color_42"
                android:textSize="@dimen/dp_12" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_38"
            android:orientation="horizontal">

            <com.qmuiteam.qmui.alpha.QMUIAlphaButton
                android:id="@+id/btn_screen_purchase_order_confirm"
                style="@style/Save_Btn_Style"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="確定"
                android:visibility="visible" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaButton
                android:id="@+id/btn_screen_purchase_order_cancel"
                style="@style/Cancel_Btn_Style"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_weight="1"
                android:text="取消"
                android:visibility="visible" />

        </LinearLayout>


    </LinearLayout>

</FrameLayout>
